DBPlan (Hyperic HQ Plugin API)
Keywords: org.hyperic.tools.db.plan.DBPlan class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.tools.db.plan
Class DBPlan

    java.lang.Object
      org.hyperic.tools.db.plan.DBPlan

    public class DBPlan

extends java.lang.Object

Constructor Summary
`DBPlan(java.lang.String jdbc, java.lang.String user, java.lang.String password, java.lang.String cmd)`

Method Summary
`protected void` | `closeConnections()`
`static void` | `main(java.lang.String[] args)`
`protected void` | `openConnections()`
`void` | `plan()`
`protected void` | `printPlan()`
`protected static void` | `printResults(java.sql.ResultSet result)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBPlan

    public DBPlan(java.lang.String jdbc,
                  java.lang.String user,
                  java.lang.String password,
                  java.lang.String cmd)

Method Detail

### main

    public static void main(java.lang.String[] args)

### plan

    public void plan()
              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### printPlan

    protected void printPlan()
                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### openConnections

    protected void openConnections()
                            throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### closeConnections

    protected void closeConnections()

### printResults

    protected static void printResults(java.sql.ResultSet result)
                                throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.